## Class Apache_Solr_HttpTransport_FileGetContents

Description

HTTP Transport implemenation that uses the builtin http URL wrappers and file_get_contents

Located in /HttpTransport/FileGetContents.php (line 45)

    Apache_Solr_HttpTransport_Abstract
       |
       --Apache_Solr_HttpTransport_FileGetContents

Class Constant Summary
SVN_ID = '$Id: $'
SVN_REVISION = '$Revision: $'
Method Summary
Apache_Solr_HttpTransport_FileGetContents __construct ()
void performGetRequest ( $url, [ $timeout = false])
void performHeadRequest ( $url, [ $timeout = false])
void performPostRequest ( $url, $rawPost, $contentType, [ $timeout = false])
Methods
Constructor __construct (line 67)

Initializes our reuseable get and post stream contexts

- access: public

Apache_Solr_HttpTransport_FileGetContents __construct ()
performGetRequest (line 74)

- access: public

void performGetRequest ( $url, [ $timeout = false])

- $url
- $timeout

performHeadRequest (line 100)

- access: public

void performHeadRequest ( $url, [ $timeout = false])

- $url
- $timeout

performPostRequest (line 132)

- access: public

void performPostRequest ( $url, $rawPost, $contentType, [ $timeout = false])

- $url
- $rawPost
- $contentType
- $timeout

#### Inherited Methods

Inherited From Apache_Solr_HttpTransport_Abstract

> Apache_Solr_HttpTransport_Abstract::getDefaultTimeout()
> Apache_Solr_HttpTransport_Abstract::setDefaultTimeout()

Class Constants
SVN_ID = '$Id: $' (line 55)

SVN ID meta data for this class

SVN_REVISION = '$Revision: $' (line 50)

SVN Revision meta data for this class

Documentation generated on Wed, 04 May 2011 11:01:14 -0400 by phpDocumentor 1.4.3